### Signal

# Gtk Text::delete-from-cursor

#### Declaration

    void
    delete_from_cursor (
      GtkText* self,
      GtkDeleteType* type,
      gint count,
      gpointer user_data
    )

#### Description [src]

Emitted when the user initiates a text deletion.

This is a keybinding signal.

If the `type` is `GTK_DELETE_CHARS`, GTK deletes the selection if there is one, otherwise it deletes the requested number of characters.

The default bindings for this signal are `Delete` for deleting a character and `Ctrl`+`Delete` for deleting a word.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`type`

  Type: `GtkDeleteType`

  The granularity of the deletion, as a `GtkDeleteType`

  The data is owned by the caller of the function.

`count`

  Type: `gint`

  The number of `type` units to delete.